#include <iostream>
#include <math.h>

using namespace std;

int main()
{
    long long n,x,mini,maxi,g,ge;
    cin>>n>>x;
    long long a[n+1];
    for(int i=1;i<=n;i++)
    {
        cin>>a[i];
    }
    mini=a[1];maxi=a[1];
    for(int i=1;i<=n;i++)
    {
        if (a[i]>maxi) maxi=a[i]; if (a[i]<mini) mini=a[i];
    }
    g=x-mini;ge=maxi-x;
    if (mini>=x)
    {
    cout<<ge;
    }
    else
    if (maxi<=x)
    {
    cout<<g;
    }
    else
    {
    cout<<max(ge,g)+2*min(ge,g);
    }
}